Skip to content

Create a new Realm for an IdP organization

POST
/api/v1/sso/organizations/{organization_id}/realms/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Creates a new Realm under a given organization to manage SSO configurations.

organization_id
required
string format: uuid

Example

019a7752-8aaa-7042-9c3e-bcbbe47f5e67

Unique identifier of the organization.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Realm created successfully

Media typeapplication/json
object
code
integer
data
object
realm
object
ern
string
organization_detail
object
id
string
ern
string
org_ref
string
name
string
email
string
nullable
domain
string
nullable
customer_id
string
status
string
sso_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time
name
string
realm_type
string
entity_id
string
status
string
acs_url
string
created_at
string format: date-time
updated_at
string format: date-time
realm_id
string
message
string
errors
object
message
string

Example

{
"code": 201,
"data": {
"realm": {
"ern": "ern:e2e:sso::019a7847-1ff1-7627-858c-c9de3fa3ff2c:realm/019a7847-2073-73a5-8144-d29e318ae4a2",
"organization_detail": {
"id": "019a7847-1ff1-7627-858c-c9de3fa3ff2c",
"ern": "ern:e2e:organizations::master-account:organization/019a7847-1ff1-7627-858c-c9de3fa3ff2c",
"org_ref": 112203638208,
"name": "idp-482005",
"email": null,
"domain": null,
"customer_id": "1790",
"status": "ACTIVE",
"sso_enabled": false,
"created_at": "2025-11-12T13:35:18.515495Z",
"updated_at": "2025-11-12T13:35:18.515536Z"
},
"name": "idp-482005",
"realm_type": "ENTERPRISE",
"entity_id": "https://myaccount.e2enetworks.net/auth/realms/019a7847-2073-73a5-8144-d29e318ae4a2",
"status": "ACTIVE",
"acs_url": "https://myaccount.e2enetworks.net/auth/realms/019a7847-2073-73a5-8144-d29e318ae4a2/broker/saml/endpoint",
"created_at": "2025-11-12T13:35:18.643540Z",
"updated_at": "2025-11-12T13:35:34.046203Z",
"realm_id": "019a7847-2073-73a5-8144-d29e318ae4a2"
},
"message": "Realm \"idp-482005\" created successfully"
},
"errors": {},
"message": "Created Successfully"
}